diff -Nau parse.c.orig parse.c
--- parse.c.orig	Fri Nov  7 10:55:19 2003
+++ parse.c	Fri Nov  7 11:37:53 2003
@@ -1239,7 +1239,7 @@
 
       return pkg;
     }
-  else
+  else if (strncmp (name, "gnome", strlen("gnome")) == 0)
     {
       /* Check for the module in gnome-config */
       char *output;
@@ -1337,6 +1337,11 @@
       g_free (output);
 
       return pkg;
+    }
+  else
+    {
+      g_free (pkg);
+      return NULL;
     }
 #endif
 }
Index: main.c
--- main.c.orig	2005-10-16 20:04:50 +0200
+++ main.c	2005-10-24 15:13:44 +0200
@@ -182,7 +182,8 @@
   int want_I_cflags = 0;
   int want_other_cflags = 0;
   int want_list = 0;
-  int want_static_lib_list = ENABLE_INDIRECT_DEPS;
+  int want_static_lib_list = 0;
+  int want_shared_lib_list = 0;
   int want_short_errors = 0;
   int result;
   int want_uninstalled = 0;
@@ -218,7 +219,9 @@
     { "libs", 0, POPT_ARG_NONE, &want_libs, 0,
       "output all linker flags" },
     { "static", 0, POPT_ARG_NONE, &want_static_lib_list, 0,
-      "output linker flags for static linking" },
+      "output explicit linker flags for static linking" },
+    { "shared", 0, POPT_ARG_NONE, &want_shared_lib_list, 0,
+      "output implicit linker flags for dynamic linking" },
     { "short-errors", 0, POPT_ARG_NONE, &want_short_errors, 0,
       "print short errors" },
     { "libs-only-l", 0, POPT_ARG_NONE, &want_l_libs, 0,
@@ -621,6 +624,17 @@
       need_newline = TRUE;
     }
 
+  /*************************************************************************
+  * if user explicitly specified only --static,              then recurse. *
+  * if user explicitly specified both --static and --shared, then recurse. *
+  *                                                                        *
+  * ...but if user did not explicitly specify either argument, then        *
+  * obey the default logic as defined by ENABLE_INDIRECT_DEPS (as set      *
+  * by the configure script with the --enable-indirect-deps argument).     *
+  *************************************************************************/
+  if (!want_static_lib_list && !want_shared_lib_list)
+    want_static_lib_list = ENABLE_INDIRECT_DEPS;
+
   if (want_l_libs)
     {
       char *str = packages_get_l_libs (packages);
